Bug 3790 - add latvian xkb layout with aphostrophee dead key
Summary: add latvian xkb layout with aphostrophee dead key
Status: RESOLVED FIXED
Alias: None
Product: xkeyboard-config
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Gatis Spats
QA Contact:
URL:
Whiteboard:
Keywords: l10n
Depends on:
Blocks:
 
Reported: 2005-07-16 02:32 UTC by Gatis Spats
Modified: 2005-12-30 15:11 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gatis Spats 2005-07-16 02:32:11 UTC
There is a need to add latvian keyboard layout with aphostrophee 'dead key' as
another alternative to lv (latvian with right-alt) xkb layout
Comment 1 Gatis Spats 2005-07-16 02:42:36 UTC
Created attachment 3092 [details]
compile log

these files are just a hack. You get needed funcionality overwriting default 
compat/basic
rules/xfree86
symbols/group

and adding file
symbols/rulv

no not a nice and compatible sollution. What we need - is to take this layout
and rewrite according to standarts.
Comment 2 Gatis Spats 2005-07-16 02:49:42 UTC
Created attachment 3093 [details] [review]
dri-per-screen-lock-refcount-1.patch

we need to test theese before including in xkb. Might be buggy - especially And
lva layout. Have to check it with lv-LV.UTF-8 (wich is default latvian locale
in l10n xorg). And besides - lva layout has less funcionality as rulv layout
(no support for simulantious ru input). So - adapt rulv (from previous binary.
Would be better.
Comment 3 Sergey V. Udaltsov 2005-12-30 12:58:42 UTC
Gatis, it seem the attachments are lost and broken somehow in bugzilla. Could
you please create new patch against xkeyboard-config CVS? Thanks.
Comment 4 Gatis Spats 2005-12-30 20:53:07 UTC
I have just got info from my friends that actualy apostrophe layout (with dead
key) now is working in latest Ubuntu distribution out of the box - just by
adding to xorg.conf. If I set layout to lv :

Option "XkbVariant" "apostrophe"

We just need to add this option to these funky GUI keyboard layout switches
Comment 5 Sergey V. Udaltsov 2005-12-31 10:11:32 UTC
> Option "XkbVariant" "apostrophe"
> 
> We just need to add this option to these funky GUI keyboard layout switches
It is there in GUI - you just need to expand the tree (if you are using GNOME).
Anyway, in xkeyboard-config it is fixed - all the rest is up to your favorite DE ;)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.